/*
MagicSearchListener.java
Copyright (C) 2010  Belledonne Communications, Grenoble, France

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package org.linphone.core;

import androidx.annotation.Nullable;
import androidx.annotation.NonNull;

/**
* A LinphoneMagicSearchCbs is used to do specifics searchs. <br/>
* <br/>
*/
public interface MagicSearchListener {
    /**
    * Callback used to notify when results are received. <br/>
    * <br/>
    * @param magicSearch LinphoneMagicSearch object   <br/>
    */
    public void onSearchResultsReceived(@NonNull MagicSearch magicSearch);

    /**
    * Callback used to notify when LDAP have more results available. <br/>
    * <br/>
    * @param magicSearch LinphoneMagicSearch object   <br/>
    * @param ldap LinphoneLdap object   <br/>
    */
    public void onLdapHaveMoreResults(@NonNull MagicSearch magicSearch, @NonNull Ldap ldap);

}